import { p as proxyCustomElement, H, h } from './p-BGpMMtbT.js';

const oramaEmbedCss = ".embed.sc-orama-embed{background-color:#fbfbfb;background-color:var(--background-color-primary,#fbfbfb);border:1px solid #dadada;border:1px solid var(--border-color-primary,#dadada);border-radius:.75rem;border-radius:var(--radius-m,calc(12rem/var(--orama-base-font-size, 16)));box-sizing:border-box;display:flex;flex-direction:column;height:100%;inset:0;margin:0 auto;max-height:100%;min-height:25rem;min-height:calc(400rem/var(--orama-base-font-size, 16));overflow:hidden;padding:0;width:100%}@media (min-width:1024.02px){.embed.sc-orama-embed{background-color:#fff;background-color:var(--background-color-secondary,#fff)}.embed.sc-orama-embed orama-input.sc-orama-embed{border-radius:0;margin:0;padding:0}.embed.sc-orama-embed input[type=search].sc-orama-embed{border-radius:.75rem .75rem 0 0;border-radius:var(--radius-m,calc(12rem/var(--orama-base-font-size, 16))) var(--radius-m,calc(12rem/var(--orama-base-font-size, 16))) 0 0}}";

const OramaEmbed = /*@__PURE__*/ proxyCustomElement(class OramaEmbed extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: 'c4f1a3153fdf088695965527a5a19858b758e352', class: "embed" }, h("slot", { key: '59d5f6aba110055ed97309465a5e77192bc5359f' })));
    }
    static get style() { return oramaEmbedCss; }
}, [6, "orama-embed"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-embed"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-embed":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OramaEmbed);
            }
            break;
    } });
}

export { OramaEmbed as O, defineCustomElement as d };
//# sourceMappingURL=p-CATLLnEA.js.map

//# sourceMappingURL=p-CATLLnEA.js.map