import { p as proxyCustomElement, H, c as createEvent, h as h$1, d as Host } from './p-BGpMMtbT.js';
import { t as tt, p, n as n$1, Y, O, s } from './p-BaxMpaXp.js';
import { I as Icon } from './p-CxEuuiI6.js';
import { d as defineCustomElement$2 } from './p-9Kx-45gq.js';
import { d as defineCustomElement$1 } from './p-Ct9q51SM.js';

var dist;
var hasRequiredDist;

function requireDist () {
	if (hasRequiredDist) return dist;
	hasRequiredDist = 1;
var H=Object.defineProperty;var y=Object.getOwnPropertyDescriptor;var C=Object.getOwnPropertyNames;var m=Object.prototype.hasOwnProperty;var A=(e,t)=>{for(var s in t)H(e,s,{get:t[s],enumerable:true});},d=(e,t,s,r)=>{if(t&&typeof t=="object"||typeof t=="function")for(let i of C(t))!m.call(e,i)&&i!==s&&H(e,i,{get:()=>t[i],enumerable:!(r=y(t,i))||r.enumerable});return e};var R=e=>d(H({},"__esModule",{value:true}),e);var b={};A(b,{Highlight:()=>u,highlightStrategy:()=>g});dist=R(b);var g={WHOLE_WORD_MATCH:"wholeWordMatch",PARTIAL_MATCH:"partialMatch",PARTIAL_MATCH_FULL_WORD:"partialMatchFullWord"},o={caseSensitive:false,strategy:g.PARTIAL_MATCH,HTMLTag:"mark",CSSClass:"orama-highlight"},u=class{options;_positions=[];_HTML="";_searchTerm="";_originalText="";constructor(t=o){this.options={...o,...t};}highlight(t,s){if(this._searchTerm=s??"",this._originalText=t??"",!this._searchTerm||!this._originalText)return this._positions=[],this._HTML=this._originalText,this;let r=this.options.HTMLTag??o.HTMLTag,i=this.options.CSSClass??o.CSSClass,h=this.options.caseSensitive??o.caseSensitive,a=this.options.strategy??o.strategy,c=h?"g":"gi",T=this.escapeRegExp(h?this._searchTerm:this._searchTerm.toLowerCase()).trim().split(/\s+/).join("|"),n;if(a===g.WHOLE_WORD_MATCH)n=new RegExp(`\\b${T}\\b`,c);else if(a===g.PARTIAL_MATCH)n=new RegExp(T,c);else if(a===g.PARTIAL_MATCH_FULL_WORD)n=new RegExp(`\\b[^\\s]*(${T})[^\\s]*\\b`,c);else throw new Error("Invalid highlighter strategy");let M=[],l=[],p,_=0,L=-1;for(;(p=n.exec(this._originalText))!==null&&n.lastIndex!==L;){L=n.lastIndex;let x=p.index,S=x+p[0].length-1;M.push({start:x,end:S}),l.push(this._originalText.slice(_,x)),l.push(`<${r} class="${i}">${p[0]}</${r}>`),_=S+1;}return l.push(this._originalText.slice(_)),this._positions=M,this._HTML=l.join(""),this}trim(t,s=true){if(this._positions.length===0)return `${this._HTML.substring(0,t)}${s?"...":""}`;if(this._originalText.length<=t)return this._HTML;let r=this._positions[0].start,i=Math.max(r-Math.floor(t/2),0),h=Math.min(i+t,this._originalText.length),a=`${i===0||!s?"":"..."}${this._originalText.slice(i,h)}${h<this._originalText.length&&s?"...":""}`;return this.highlight(a,this._searchTerm),this._HTML}get positions(){return this._positions}get HTML(){return this._HTML}escapeRegExp(t){return t.replace(/[.*+?^${}()|[\]\\]/g,"\\$&")}};	
	return dist;
}

var distExports = requireDist();

var n = Object.defineProperty, c = Object.getOwnPropertyDescriptor, h = (r, s, o, l) => {
  for (var t = l > 1 ? void 0 : l ? c(s, o) : s, V = r.length - 1, i; V >= 0; V--)
    (i = r[V]) && (t = (l ? i(s, o, t) : i(t)) || t);
  return l && t && n(s, o, t), t;
};
let a = class extends n$1 {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var r;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${a.weightsMap.get((r = this.weight) != null ? r : "regular")}
    </svg>`;
  }
};
a.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M210.83,69.17l-40-40A4,4,0,0,0,168,28H88A12,12,0,0,0,76,40V60H56A12,12,0,0,0,44,72V216a12,12,0,0,0,12,12H168a12,12,0,0,0,12-12V196h20a12,12,0,0,0,12-12V72A4,4,0,0,0,210.83,69.17ZM172,216a4,4,0,0,1-4,4H56a4,4,0,0,1-4-4V72a4,4,0,0,1,4-4h78.34L172,105.66Zm32-32a4,4,0,0,1-4,4H180V104a4,4,0,0,0-1.17-2.83l-40-40A4,4,0,0,0,136,60H84V40a4,4,0,0,1,4-4h78.34L204,73.66Zm-64-32a4,4,0,0,1-4,4H88a4,4,0,0,1,0-8h48A4,4,0,0,1,140,152Zm0,32a4,4,0,0,1-4,4H88a4,4,0,0,1,0-8h48A4,4,0,0,1,140,184Z"/>`
  ],
  [
    "light",
    tt`<path d="M212.24,67.76l-40-40A6,6,0,0,0,168,26H88A14,14,0,0,0,74,40V58H56A14,14,0,0,0,42,72V216a14,14,0,0,0,14,14H168a14,14,0,0,0,14-14V198h18a14,14,0,0,0,14-14V72A6,6,0,0,0,212.24,67.76ZM170,216a2,2,0,0,1-2,2H56a2,2,0,0,1-2-2V72a2,2,0,0,1,2-2h77.51L170,106.49Zm32-32a2,2,0,0,1-2,2H182V104a6,6,0,0,0-1.76-4.24l-40-40A6,6,0,0,0,136,58H86V40a2,2,0,0,1,2-2h77.51L202,74.49Zm-60-32a6,6,0,0,1-6,6H88a6,6,0,0,1,0-12h48A6,6,0,0,1,142,152Zm0,32a6,6,0,0,1-6,6H88a6,6,0,0,1,0-12h48A6,6,0,0,1,142,184Z"/>`
  ],
  [
    "regular",
    tt`<path d="M213.66,66.34l-40-40A8,8,0,0,0,168,24H88A16,16,0,0,0,72,40V56H56A16,16,0,0,0,40,72V216a16,16,0,0,0,16,16H168a16,16,0,0,0,16-16V200h16a16,16,0,0,0,16-16V72A8,8,0,0,0,213.66,66.34ZM168,216H56V72h76.69L168,107.31v84.53c0,.06,0,.11,0,.16s0,.1,0,.16V216Zm32-32H184V104a8,8,0,0,0-2.34-5.66l-40-40A8,8,0,0,0,136,56H88V40h76.69L200,75.31Zm-56-32a8,8,0,0,1-8,8H88a8,8,0,0,1,0-16h48A8,8,0,0,1,144,152Zm0,32a8,8,0,0,1-8,8H88a8,8,0,0,1,0-16h48A8,8,0,0,1,144,184Z"/>`
  ],
  [
    "bold",
    tt`<path d="M220.49,59.51l-40-40A12,12,0,0,0,172,16H92A20,20,0,0,0,72,36V56H56A20,20,0,0,0,36,76V216a20,20,0,0,0,20,20H164a20,20,0,0,0,20-20V196h20a20,20,0,0,0,20-20V68A12,12,0,0,0,220.49,59.51ZM160,212H60V80h67l33,33Zm40-40H184V108a12,12,0,0,0-3.51-8.49l-40-40A12,12,0,0,0,132,56H96V40h71l33,33Zm-56-28a12,12,0,0,1-12,12H88a12,12,0,0,1,0-24h44A12,12,0,0,1,144,144Zm0,40a12,12,0,0,1-12,12H88a12,12,0,0,1,0-24h44A12,12,0,0,1,144,184Z"/>`
  ],
  [
    "fill",
    tt`<path d="M213.66,66.34l-40-40A8,8,0,0,0,168,24H88A16,16,0,0,0,72,40V56H56A16,16,0,0,0,40,72V216a16,16,0,0,0,16,16H168a16,16,0,0,0,16-16V200h16a16,16,0,0,0,16-16V72A8,8,0,0,0,213.66,66.34ZM136,192H88a8,8,0,0,1,0-16h48a8,8,0,0,1,0,16Zm0-32H88a8,8,0,0,1,0-16h48a8,8,0,0,1,0,16Zm64,24H184V104a8,8,0,0,0-2.34-5.66l-40-40A8,8,0,0,0,136,56H88V40h76.69L200,75.31Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M208,72V184a8,8,0,0,1-8,8H176V104L136,64H80V40a8,8,0,0,1,8-8h80Z" opacity="0.2"/><path d="M213.66,66.34l-40-40A8,8,0,0,0,168,24H88A16,16,0,0,0,72,40V56H56A16,16,0,0,0,40,72V216a16,16,0,0,0,16,16H168a16,16,0,0,0,16-16V200h16a16,16,0,0,0,16-16V72A8,8,0,0,0,213.66,66.34ZM168,216H56V72h76.69L168,107.31v84.53c0,.06,0,.11,0,.16s0,.1,0,.16V216Zm32-32H184V104a8,8,0,0,0-2.34-5.66l-40-40A8,8,0,0,0,136,56H88V40h76.69L200,75.31Zm-56-32a8,8,0,0,1-8,8H88a8,8,0,0,1,0-16h48A8,8,0,0,1,144,152Zm0,32a8,8,0,0,1-8,8H88a8,8,0,0,1,0-16h48A8,8,0,0,1,144,184Z"/>`
  ]
]);
a.styles = p`
    :host {
      display: contents;
    }
  `;
h([
  O({ type: String, reflect: true })
], a.prototype, "size", 2);
h([
  O({ type: String, reflect: true })
], a.prototype, "weight", 2);
h([
  O({ type: String, reflect: true })
], a.prototype, "color", 2);
h([
  O({ type: Boolean, reflect: true })
], a.prototype, "mirrored", 2);
a = h([
  s("ph-files")
], a);

const oramaSearchResultsCss = ".list.sc-orama-search-results{list-style:none;margin:0;padding:0}.section-list.sc-orama-search-results{gap:.75rem;gap:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)));margin-top:.5rem;margin-top:var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16)));padding-bottom:1rem;padding-bottom:var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16)))}.section-item-list.sc-orama-search-results,.section-list.sc-orama-search-results{display:flex;flex-direction:column}.section-wrapper.sc-orama-search-results{border-bottom:1px solid #dadada;border-bottom:1px solid var(--border-color-primary,#dadada);padding-bottom:.75rem;padding-bottom:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)))}.section-wrapper.sc-orama-search-results:last-of-type{border-bottom:none}.section-title-wrapper.sc-orama-search-results{padding:.5rem .75rem;padding:var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16))) var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)));text-transform:capitalize}.section-title-wrapper.sc-orama-search-results *.sc-orama-search-results{color:#838289;color:var(--text-text-color-secondary,#838289)}.list-item.sc-orama-search-results{cursor:pointer}.list-item-button.sc-orama-search-results{align-items:center;background-color:#fff;background-color:var(--background-color-secondary,#fff);border:1px solid transparent;border-radius:.5rem;border-radius:var(--radius-s,calc(8rem/var(--orama-base-font-size, 16)));cursor:pointer;display:flex;font-family:inherit;gap:.75rem;gap:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)));padding:.75rem;padding:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)));position:relative;text-align:left;text-decoration:none;transition:background-color .2s}@media (hover:hover){.list-item-button.sc-orama-search-results:hover{background-color:#eee9f6;background-color:var(--background-color-tertiary,#eee9f6)}}.list-item-button.sc-orama-search-results:focus-visible{border:1px solid #432d77;border:1px solid var(--border-color-accent,#432d77);outline:none}.collapsed.sc-orama-search-results{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.result-title.sc-orama-search-results{color:#151515;color:var(--text-color-primary,#151515)}.result-description.sc-orama-search-results{color:#99989d;color:var(--text-color-tertiary,#99989d)}.results-empty.sc-orama-search-results{margin:2rem auto 2.5rem;margin:calc(32rem/var(--orama-base-font-size, 16)) auto calc(40rem/var(--orama-base-font-size, 16));max-width:25rem;max-width:calc(400rem/var(--orama-base-font-size, 16));text-align:center;width:80%}.suggestions-wrapper.sc-orama-search-results{padding:1rem 0 .75rem;padding:var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16))) 0 var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16))) 0}.suggestions-title.sc-orama-search-results{margin-bottom:.25rem;margin-bottom:var(--spacing-xs,calc(4rem/var(--orama-base-font-size, 16)));padding:0 .5rem;padding:0 var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16)));text-transform:uppercase}.textWrapper.sc-orama-search-results{display:flex;flex-direction:column;flex-grow:1;overflow:hidden}ph-files.sc-orama-search-results{color:#151515;color:var(--icon-color-primary,#151515)}.result-item-icon-wrapper.sc-orama-search-results{align-items:center;display:flex;flex-shrink:0;height:20px;justify-content:center;width:20px}.custom-result-item-icon.sc-orama-search-results{max-height:20px;max-width:20px;-o-object-fit:contain;object-fit:contain}";

const SearchResults = /*@__PURE__*/ proxyCustomElement(class SearchResults extends H {
    constructor() {
        super();
        this.__registerHost();
        this.searchResultClick = createEvent(this, "searchResultClick");
        this.linksTarget = '_blank';
        this.linksRel = 'noopener noreferrer';
        this.sections = [];
        this.suggestions = [];
        this.loading = false;
        this.error = false;
        this.highlightTitle = false;
        this.highlightDescription = false;
        this.handleItemClick = (originalOnClickEvent, item) => {
            const searchResultClick = this.searchResultClick.emit({ result: item });
            if (searchResultClick.defaultPrevented) {
                originalOnClickEvent.preventDefault();
                return;
            }
            if (!(item === null || item === void 0 ? void 0 : item.path)) {
                throw new Error('No path found');
            }
        };
        this.getItemLinkUrl = (item) => {
            if (item === null || item === void 0 ? void 0 : item.path) {
                return this.sourceBaseUrl ? `${this.sourceBaseUrl}${item.path}` : item.path;
            }
            return '#';
        };
        this.getHighlightedTitleText = (text) => {
            return this.highlighterTitle.highlight(text, this.searchTerm);
        };
        this.getHighlightedDescriptionText = (text) => {
            return this.highlighterDescription.highlight(text, this.searchTerm);
        };
    }
    buildUrl(path) {
        if (!path) {
            return '#';
        }
        if (this.sourceBaseUrl) {
            // Remove trailing slashes from the base URL
            const sanitizedBaseUrl = this.sourceBaseUrl.replace(/\/+$/, '');
            // Remove leading slashes from the path
            const sanitizedPath = path.replace(/^\/+/, '');
            // Concatenate the base URL with the path
            return `${sanitizedBaseUrl}/${sanitizedPath}`;
        }
        return path;
    }
    componentDidLoad() {
        if (this.highlightTitle) {
            this.highlighterTitle = new distExports.Highlight(this.highlightTitle);
        }
        if (this.highlightDescription) {
            this.highlighterDescription = new distExports.Highlight(this.highlightDescription);
        }
    }
    render() {
        var _a, _b, _c, _d, _e, _f;
        if (!this.searchTerm) {
            return (h$1("div", { class: "suggestions-wrapper" }, !!((_a = this.suggestions) === null || _a === void 0 ? void 0 : _a.length) && (h$1("orama-text", { as: "h2", styledAs: "small", class: "suggestions-title", variant: "secondary" }, ((_b = this.dictionary) === null || _b === void 0 ? void 0 : _b.suggestions) || 'Suggestions')), h$1("orama-suggestions", { as: "list", suggestions: this.suggestions, icon: h$1(Icon, { name: "starFour", size: 16, color: "var(--text-color-accent, text-color('accent')" }), suggestionClicked: (term) => {
                    this.setChatTerm(term);
                } })));
        }
        if (this.error) {
            return h$1("div", null, ((_c = this.dictionary) === null || _c === void 0 ? void 0 : _c.errorMessage) || 'An error occurred while trying to search. Please try again.');
        }
        if (!this.loading && !((_d = this.sections) === null || _d === void 0 ? void 0 : _d.some((section) => section.items.length > 0))) {
            return (h$1("div", { class: "results-empty" }, h$1("orama-text", { as: "h3", styledAs: "span" }, `${((_e = this.dictionary) === null || _e === void 0 ? void 0 : _e.noResultsFound) || 'No results found'} ${this.searchTerm ? `${((_f = this.dictionary) === null || _f === void 0 ? void 0 : _f.noResultsFoundFor) || 'for'} "${this.searchTerm}"` : ''}`)));
        }
        return (h$1(Host, null, h$1("ul", { class: "list section-list" }, this.sections.map((section) => (h$1("div", { key: section.section, class: "section-wrapper" }, section.section && (h$1("div", { class: "section-title-wrapper" }, h$1("orama-text", { as: "h2", styledAs: "span" }, section.section))), h$1("ul", { class: "list section-item-list" }, section.items.map((result) => (h$1("li", { class: "list-item", key: result.id }, h$1("a", { "focus-on-arrow-nav": true, href: this.buildUrl(result.path), class: "list-item-button", target: this.linksTarget, rel: this.linksRel, id: `search-result-${result.id}`, onClick: (onClickEvent) => this.handleItemClick(onClickEvent, result) }, h$1("div", { class: "result-item-icon-wrapper" }, result.icon ? (h$1("img", { alt: "", class: "custom-result-item-icon", src: result.icon })) : (h$1("ph-files", { size: "20px" }))), h$1("div", { class: "textWrapper" }, h$1("orama-text", { as: "h3", styledAs: "p", class: "result-title collapsed" }, !this.highlightTitle ? (h$1("span", { innerHTML: result.title })) : result.title.length > 200 ? ( // Trim exists here to prevent to render too much data to the DOM
        h$1("span", { innerHTML: this.getHighlightedTitleText(result.title).trim(200) })) : (h$1("span", { innerHTML: this.getHighlightedTitleText(result.title).HTML }))), h$1("orama-text", { as: "p", styledAs: "span", class: "result-description collapsed", variant: "tertiary" }, !this.highlightDescription ? (h$1("span", { innerHTML: result.description })) : (h$1("span", { innerHTML: this.getHighlightedDescriptionText(result.description).HTML })))))))))))))));
    }
    get el() { return this; }
    static get style() { return oramaSearchResultsCss; }
}, [2, "orama-search-results", {
        "sourceBaseUrl": [1, "source-base-url"],
        "linksTarget": [1, "links-target"],
        "linksRel": [1, "links-rel"],
        "sections": [16],
        "suggestions": [16],
        "searchTerm": [1, "search-term"],
        "setChatTerm": [16, "set-chat-term"],
        "loading": [4],
        "error": [4],
        "highlightTitle": [4, "highlight-title"],
        "highlightDescription": [4, "highlight-description"],
        "dictionary": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-search-results", "orama-suggestions", "orama-text"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-search-results":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SearchResults);
            }
            break;
        case "orama-suggestions":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "orama-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { SearchResults as S, defineCustomElement as d };
//# sourceMappingURL=p-CH-7DZ3H.js.map

//# sourceMappingURL=p-CH-7DZ3H.js.map