import { p as proxyCustomElement, H, h, d as Host } from './p-BGpMMtbT.js';
import { d as defineCustomElement$1 } from './p-Ct9q51SM.js';

const oramaChatUserMessageCss = ".sc-orama-chat-user-message-h{color:#151515;color:var(--text-color-primary,#151515);display:flex;justify-content:end;padding:0 1rem;padding:0 var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16)))}@media (min-width:768.02px){.sc-orama-chat-user-message-h{justify-content:start}}.message-wrapper.sc-orama-chat-user-message{border-radius:.5rem;border-radius:var(--radius-s,calc(8rem/var(--orama-base-font-size, 16)));padding:.5rem .75rem;padding:var(--radius-s,calc(8rem/var(--orama-base-font-size, 16))) var(--radius-m,calc(12rem/var(--orama-base-font-size, 16)))}.chat-question.sc-orama-chat-user-message{font-weight:400}@media (min-width:768.02px){.chat-question.sc-orama-chat-user-message{font-size:1.25rem;font-size:calc(20rem/var(--orama-base-font-size, 16));margin-bottom:1rem;margin-bottom:var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16)))}}";

const OramaChatUserMessage = /*@__PURE__*/ proxyCustomElement(class OramaChatUserMessage extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: 'd2c74982926525d2f01c2ced08900984662ed86d' }, h("div", { key: 'ee3082412dd37c9f04e3fdb2573cf2013a7d4985', class: "message-wrapper" }, h("orama-text", { key: 'b5da8143c4b840cfd24e1722846f2b24b5b8c433', as: "h2", styledAs: "p", class: "chat-question" }, this.interaction.query))));
    }
    static get style() { return oramaChatUserMessageCss; }
}, [2, "orama-chat-user-message", {
        "interaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-chat-user-message", "orama-text"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-chat-user-message":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OramaChatUserMessage);
            }
            break;
        case "orama-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { OramaChatUserMessage as O, defineCustomElement as d };
//# sourceMappingURL=p-CYieqRjH.js.map

//# sourceMappingURL=p-CYieqRjH.js.map