import { p as proxyCustomElement, H, h, d as Host } from './p-BGpMMtbT.js';
import './p-D6ogEMIP.js';
import { t as tt, p, n, Y, O, s } from './p-BaxMpaXp.js';
import './p-CQI84bJt.js';
import { d as defineCustomElement$1 } from './p-Ct9q51SM.js';

var u = Object.defineProperty, w = Object.getOwnPropertyDescriptor, o = (a, s, i, l) => {
  for (var r = l > 1 ? void 0 : l ? w(s, i) : s, h = a.length - 1, n; h >= 0; h--)
    (n = a[h]) && (r = (l ? n(s, i, r) : n(r)) || r);
  return l && r && u(s, i, r), r;
};
let t = class extends n {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var a;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${t.weightsMap.get((a = this.weight) != null ? a : "regular")}
    </svg>`;
  }
};
t.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M202.83,114.83a4,4,0,0,1-5.66,0L132,49.66V216a4,4,0,0,1-8,0V49.66L58.83,114.83a4,4,0,0,1-5.66-5.66l72-72a4,4,0,0,1,5.66,0l72,72A4,4,0,0,1,202.83,114.83Z"/>`
  ],
  [
    "light",
    tt`<path d="M204.24,116.24a6,6,0,0,1-8.48,0L134,54.49V216a6,6,0,0,1-12,0V54.49L60.24,116.24a6,6,0,0,1-8.48-8.48l72-72a6,6,0,0,1,8.48,0l72,72A6,6,0,0,1,204.24,116.24Z"/>`
  ],
  [
    "regular",
    tt`<path d="M205.66,117.66a8,8,0,0,1-11.32,0L136,59.31V216a8,8,0,0,1-16,0V59.31L61.66,117.66a8,8,0,0,1-11.32-11.32l72-72a8,8,0,0,1,11.32,0l72,72A8,8,0,0,1,205.66,117.66Z"/>`
  ],
  [
    "bold",
    tt`<path d="M208.49,120.49a12,12,0,0,1-17,0L140,69V216a12,12,0,0,1-24,0V69L64.49,120.49a12,12,0,0,1-17-17l72-72a12,12,0,0,1,17,0l72,72A12,12,0,0,1,208.49,120.49Z"/>`
  ],
  [
    "fill",
    tt`<path d="M207.39,115.06A8,8,0,0,1,200,120H136v96a8,8,0,0,1-16,0V120H56a8,8,0,0,1-5.66-13.66l72-72a8,8,0,0,1,11.32,0l72,72A8,8,0,0,1,207.39,115.06Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M200,112H56l72-72Z" opacity="0.2"/><path d="M205.66,106.34l-72-72a8,8,0,0,0-11.32,0l-72,72A8,8,0,0,0,56,120h64v96a8,8,0,0,0,16,0V120h64a8,8,0,0,0,5.66-13.66ZM75.31,104,128,51.31,180.69,104Z"/>`
  ]
]);
t.styles = p`
    :host {
      display: contents;
    }
  `;
o([
  O({ type: String, reflect: true })
], t.prototype, "size", 2);
o([
  O({ type: String, reflect: true })
], t.prototype, "weight", 2);
o([
  O({ type: String, reflect: true })
], t.prototype, "color", 2);
o([
  O({ type: Boolean, reflect: true })
], t.prototype, "mirrored", 2);
t = o([
  s("ph-arrow-up")
], t);

const oramaFooterCss = ".sc-orama-footer-h{align-items:center;background-color:#fff;background-color:var(--background-color-secondary,#fff);border-radius:0 0 .75rem .75rem;border-radius:0 0 var(--radius-m,calc(12rem/var(--orama-base-font-size, 16))) var(--radius-m,calc(12rem/var(--orama-base-font-size, 16)));border-top:1px solid #dadada;border-top:1px solid var(--border-color-primary,#dadada);display:flex;justify-content:space-between;padding:.75rem;padding:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)))}.keyboard-shortcuts.sc-orama-footer{align-items:center;display:flex;gap:.75rem;gap:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)))}.shortcut-item.sc-orama-footer{align-items:center;display:flex;font-size:1rem;font-size:calc(16rem/var(--orama-base-font-size, 16));gap:.25rem;gap:var(--spacing-xs,calc(4rem/var(--orama-base-font-size, 16)))}.shortcut-description.sc-orama-footer,.shortcut-icon.sc-orama-footer{color:#99989d;color:var(--text-color-tertiary,#99989d)}.shortcut-icon.sc-orama-footer{align-items:center;background:#eee9f6;background:var(--background-color-fourth,#eee9f6);border:.7px solid #dadada;border:.7px solid var(--border-color-primary,#dadada);border-radius:.375rem;border-radius:var(--radius-xs,calc(6rem/var(--orama-base-font-size, 16)));display:flex;justify-content:center;justify-self:flex-end;padding:.25rem;padding:calc(4rem/var(--orama-base-font-size, 16))}.arrows-container.sc-orama-footer{align-items:center;display:flex;gap:.25rem;gap:var(--spacing-xs,calc(4rem/var(--orama-base-font-size, 16)))}.esc-text.sc-orama-footer{font-size:.7rem}.powered-by.sc-orama-footer{align-items:flex-end;display:flex;flex-grow:1;justify-content:right;text-align:right}.logo-link.sc-orama-footer,.powered-by.sc-orama-footer{gap:.5rem;gap:var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16)))}.logo-link.sc-orama-footer{align-items:center;display:inline-flex;justify-content:center;text-decoration:none}.logo-link.sc-orama-footer:focus-visible{border:1px solid #432d77;border:1px solid var(--border-color-accent,#432d77);outline:none}.logo.sc-orama-footer{max-width:3.875rem;max-width:calc(62rem/var(--orama-base-font-size, 16))}@media (max-width:768px){.sc-orama-footer-h{flex-direction:column;gap:.75rem;gap:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)))}.keyboard-shortcuts.sc-orama-footer{display:none}.powered-by.sc-orama-footer{justify-content:center}}";

const OramaFooter = /*@__PURE__*/ proxyCustomElement(class OramaFooter extends H {
    constructor() {
        super();
        this.__registerHost();
        this.colorScheme = 'light';
        /** Whether to show keyboard shortcuts in the footer */
        this.showKeyboardShortcuts = false;
        this.linkTarget = '_blank';
        /** Keyboard shortcuts to display */
        this.keyboardShortcuts = [
            { name: 'select', key: 'Enter', icon: 'arrow-bend-down-left', description: 'to select' },
            { name: 'navigate', key: '↑ ↓', icon: 'arrows-vertical', description: 'to navigate' },
            { name: 'close', key: 'Esc', icon: 'esc', description: 'to close' },
        ];
    }
    componentWillLoad() {
        const utmSource = encodeURIComponent(window.location.hostname);
        this.poweredByDestinationUrl = `https://www.orama.com/?utm_source=${utmSource}&utm_medium=powered-by`;
        if (['localhost', 'orama.com'].includes(utmSource)) {
            this.linkTarget = '_parent';
        }
    }
    renderIcon(shortcut) {
        // Special case for ESC key
        if (shortcut.icon === 'esc') {
            return (h("div", null, h("span", { class: "shortcut-icon" }, h("span", { class: "esc-text" }, "esc"))));
        }
        // For Phosphor icons
        switch (shortcut.icon) {
            case 'arrow-bend-down-left':
                return (h("span", { class: "shortcut-icon" }, h("ph-arrow-bend-down-left", { size: 16 })));
            case 'arrows-vertical':
                return (h("div", { class: "arrows-container" }, h("span", { class: "shortcut-icon" }, h("ph-arrow-up", { size: 16 })), h("span", { class: "shortcut-icon" }, h("ph-arrow-down", { size: 16 }))));
            default:
                return null;
        }
    }
    render() {
        const imgName = this.colorScheme === 'dark' ? 'orama-when-dark.svg' : 'orama-when-light.svg';
        return (h(Host, { key: 'b21ad31b55a56c189efdf83b7f745dfc149af388' }, this.showKeyboardShortcuts && (h("div", { key: '0af21a82002e38855e83176b7e6dc0f2e8aebe8b', class: "keyboard-shortcuts", "aria-label": "Keyboard shortcuts" }, this.keyboardShortcuts.map((shortcut) => (h("div", { class: "shortcut-item" }, this.renderIcon(shortcut), h("orama-text", { as: "small", variant: "tertiary" }, h("span", { class: "shortcut-description" }, shortcut.description))))))), h("div", { key: '67dec2fc22297ff7a7f47eb4e112b14a3801c378', class: "powered-by" }, h("a", { key: 'ef8d9ea69bb7207ea1279ede9576e4cb03d4cf12', href: this.poweredByDestinationUrl, target: this.linkTarget, rel: "noopener noreferrer", class: "logo-link" }, h("orama-text", { key: '49bcbd36198dfd2200d6902f65ea88f573974c4e', as: "small" }, "Powered by"), h("img", { key: 'f8d46510486a83866fa3b24f5d38f60fe8ce3d6b', src: `https://website-assets.oramasearch.com/${imgName}`, alt: "Powered by Orama", class: "logo", width: 62 })))));
    }
    get el() { return this; }
    static get style() { return oramaFooterCss; }
}, [2, "orama-footer", {
        "class": [1],
        "colorScheme": [16, "color-scheme"],
        "showKeyboardShortcuts": [4, "show-keyboard-shortcuts"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-footer", "orama-text"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-footer":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OramaFooter);
            }
            break;
        case "orama-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { OramaFooter as O, defineCustomElement as d };
//# sourceMappingURL=p-bmDZYFWR.js.map

//# sourceMappingURL=p-bmDZYFWR.js.map