import { p as proxyCustomElement, H, c as createEvent, h } from './p-BGpMMtbT.js';
import './p-BmG0j0P5.js';
import { t as tt, p, n, Y, O, s as s$1 } from './p-BaxMpaXp.js';
import { d as defineCustomElement$1 } from './p-Ct9q51SM.js';

var u = Object.defineProperty, d = Object.getOwnPropertyDescriptor, s = (o, l, a, i) => {
  for (var r = i > 1 ? void 0 : i ? d(l, a) : l, h = o.length - 1, n; h >= 0; h--)
    (n = o[h]) && (r = (i ? n(l, a, r) : n(r)) || r);
  return i && r && u(l, a, r), r;
};
let t = class extends n {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var o;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${t.weightsMap.get((o = this.weight) != null ? o : "regular")}
    </svg>`;
  }
};
t.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M178.83,130.83l-80,80a4,4,0,0,1-5.66-5.66L170.34,128,93.17,50.83a4,4,0,0,1,5.66-5.66l80,80A4,4,0,0,1,178.83,130.83Z"/>`
  ],
  [
    "light",
    tt`<path d="M180.24,132.24l-80,80a6,6,0,0,1-8.48-8.48L167.51,128,91.76,52.24a6,6,0,0,1,8.48-8.48l80,80A6,6,0,0,1,180.24,132.24Z"/>`
  ],
  [
    "regular",
    tt`<path d="M181.66,133.66l-80,80a8,8,0,0,1-11.32-11.32L164.69,128,90.34,53.66a8,8,0,0,1,11.32-11.32l80,80A8,8,0,0,1,181.66,133.66Z"/>`
  ],
  [
    "bold",
    tt`<path d="M184.49,136.49l-80,80a12,12,0,0,1-17-17L159,128,87.51,56.49a12,12,0,1,1,17-17l80,80A12,12,0,0,1,184.49,136.49Z"/>`
  ],
  [
    "fill",
    tt`<path d="M181.66,133.66l-80,80A8,8,0,0,1,88,208V48a8,8,0,0,1,13.66-5.66l80,80A8,8,0,0,1,181.66,133.66Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M176,128,96,208V48Z" opacity="0.2"/><path d="M181.66,122.34l-80-80A8,8,0,0,0,88,48V208a8,8,0,0,0,13.66,5.66l80-80A8,8,0,0,0,181.66,122.34ZM104,188.69V67.31L164.69,128Z"/>`
  ]
]);
t.styles = p`
    :host {
      display: contents;
    }
  `;
s([
  O({ type: String, reflect: true })
], t.prototype, "size", 2);
s([
  O({ type: String, reflect: true })
], t.prototype, "weight", 2);
s([
  O({ type: String, reflect: true })
], t.prototype, "color", 2);
s([
  O({ type: Boolean, reflect: true })
], t.prototype, "mirrored", 2);
t = s([
  s$1("ph-caret-right")
], t);

const oramaSourcesCss = ".sources-outer-wrapper{margin:0 .5rem .75rem 1rem;margin:0 var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16))) var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16))) var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16)));overflow:hidden;position:relative}.source-next{left:0}.carousel-arrow,.source-next{bottom:0;position:absolute;top:0}.carousel-arrow{align-items:center;border:none;color:#838289;color:var(--text-color-secondary,#838289);cursor:pointer;display:flex;font-size:1.125rem;font-size:calc(18rem/var(--orama-base-font-size, 16));height:-moz-fit-content;height:fit-content;height:100%;justify-content:center;margin-block:auto;opacity:1;padding:0 .75rem;padding:0 var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)));transition:color .2s,opacity .2s;z-index:1}.carousel-arrow.hidden{opacity:0;pointer-events:none}.carousel-arrow:focus:not(.hidden),.carousel-arrow:hover:not(.hidden){color:#151515;color:var(--text-color-primary,#151515)}.carousel-arrow--prev{background:linear-gradient(-90deg,transparent,70%,#fbfbfb);background:linear-gradient(-90deg,transparent,70%,var(--background-color-primary,#fbfbfb));left:0}.carousel-arrow--next{background:linear-gradient(90deg,transparent,30%,#fbfbfb);background:linear-gradient(90deg,transparent,30%,var(--background-color-primary,#fbfbfb));right:0}.sources-wrapper{display:flex;overflow-x:auto;overflow-x:scroll;position:relative;scroll-behavior:smooth;scrollbar-width:none}.source{background:#fff;background:var(--background-color-secondary,#fff);border-radius:.5rem;border-radius:var(--radius-s,calc(8rem/var(--orama-base-font-size, 16)));flex-grow:0;flex-shrink:0;overflow:hidden;padding:.75rem;padding:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)));position:relative;text-decoration:none;width:12.1875rem;width:calc(195rem/var(--orama-base-font-size, 16))}.source .source-subtitle,.source .source-title{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}@media (hover:hover){.source:hover{background:#eee9f6;background:var(--background-color-tertiary,#eee9f6);transition:background .2s ease-in-out}}.source-inner-wrapper{display:flex;padding-right:.5rem;padding-right:var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16)));position:relative}.source-inner-wrapper:last-of-type{padding-right:1rem;padding-right:var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16)))}.sr-only{clip:rect(0 0 0 0);clip-path:inset(50%);height:1px;overflow:hidden;position:absolute;white-space:nowrap;width:1px}";

const SOURCE_BOX_OFFSET = 0;
const OramaSources = /*@__PURE__*/ proxyCustomElement(class OramaSources extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.answerSourceClick = createEvent(this, "answerSourceClick");
        this.sourceBaseURL = '';
        this.linksTarget = '_blank';
        this.linksRel = 'noopener noreferrer';
        this.isCarouselScrollAtEnd = false;
        this.isCarouselScrollAtStart = false;
        this.handleCarouselScroll = () => {
            this.computeCarouselArrowsVisibility();
        };
        this.handleItemClick = (originalOnClickEvent, item) => {
            const answerSourceClick = this.answerSourceClick.emit({ source: item });
            if (answerSourceClick.defaultPrevented) {
                originalOnClickEvent.preventDefault();
                return;
            }
            if (!(item === null || item === void 0 ? void 0 : item.path)) {
                throw new Error('No path found');
            }
        };
        this.resizeObserver = new ResizeObserver(() => {
            this.computeCarouselArrowsVisibility();
        });
    }
    // TODO: Move this to utils
    buildUrl(path) {
        if (!path) {
            return '#';
        }
        if (this.sourceBaseURL) {
            // Remove trailing slashes from the base URL
            const sanitizedBaseUrl = this.sourceBaseURL.replace(/\/+$/, '');
            // Remove leading slashes from the path
            const sanitizedPath = path.replace(/^\/+/, '');
            // Concatenate the base URL with the path
            return `${sanitizedBaseUrl}/${sanitizedPath}`;
        }
        return path;
    }
    getNextItemCarousel(container, items) {
        for (let i = 0; i < items.length; i++) {
            const item = items[i];
            const itemRect = item.getBoundingClientRect();
            const containerRect = container.getBoundingClientRect();
            // Check if item is totally or partially visible
            if (itemRect.right - SOURCE_BOX_OFFSET > containerRect.right) {
                return item;
            }
        }
        return null;
    }
    getPreviousItemCarousel(container, items) {
        var _a;
        for (let i = 0; i < items.length; i++) {
            const item = items[i];
            const itemRect = item.getBoundingClientRect();
            const containerRect = container.getBoundingClientRect();
            // Check if the item is totally visible
            if (itemRect.left + SOURCE_BOX_OFFSET >= containerRect.left &&
                itemRect.right - SOURCE_BOX_OFFSET <= containerRect.right) {
                return (_a = items[i - 1]) !== null && _a !== void 0 ? _a : null;
                // biome-ignore lint/style/noUselessElse: better with to make the intention clear
            }
            else if (itemRect.left - SOURCE_BOX_OFFSET < containerRect.right &&
                itemRect.right - SOURCE_BOX_OFFSET > containerRect.right) {
                return item;
            }
        }
        return null;
    }
    handleCarouselMove(direction) {
        const carousel = this.carouselSourceRef;
        if (!carousel) {
            return;
        }
        const items = carousel.getElementsByClassName('source-inner-wrapper');
        if (direction === 'forward') {
            const nextItemCarousel = this.getNextItemCarousel(carousel, items);
            if (nextItemCarousel) {
                nextItemCarousel.scrollIntoView({
                    behavior: 'smooth',
                    inline: 'end',
                    block: 'nearest',
                });
            }
        }
        else {
            const previousItemCarousel = this.getPreviousItemCarousel(carousel, items);
            if (previousItemCarousel) {
                previousItemCarousel.scrollIntoView({
                    behavior: 'smooth',
                    inline: 'start',
                    block: 'nearest',
                });
            }
        }
    }
    computeCarouselArrowsVisibility() {
        const carousel = this.carouselSourceRef;
        if (!carousel) {
            return;
        }
        const items = carousel.getElementsByClassName('source-inner-wrapper');
        this.isCarouselScrollAtEnd = !this.getNextItemCarousel(carousel, items);
        this.isCarouselScrollAtStart = !this.getPreviousItemCarousel(carousel, items);
    }
    componentDidLoad() {
        var _a;
        (_a = this.carouselSourceRef) === null || _a === void 0 ? void 0 : _a.addEventListener('scroll', this.handleCarouselScroll);
        this.computeCarouselArrowsVisibility();
        if (this.carouselSourceRef) {
            this.resizeObserver.observe(this.carouselSourceRef);
        }
    }
    disconnectedCallback() {
        var _a;
        (_a = this.carouselSourceRef) === null || _a === void 0 ? void 0 : _a.removeEventListener('scroll', this.handleCarouselScroll);
        this.resizeObserver.disconnect();
    }
    hasHorizontalOverflow(element) {
        if (!element) {
            return false;
        }
        return element.scrollWidth > element.clientWidth;
    }
    render() {
        var _a;
        if (!((_a = this.sources) === null || _a === void 0 ? void 0 : _a.length)) {
            return;
        }
        return (h("host", null, h("div", { class: {
                'sources-outer-wrapper': true,
                'oveflow-decorator': this.hasHorizontalOverflow(this.carouselSourceRef),
            } }, h("h2", { class: "sr-only" }, "Sources"), h("button", { class: { 'carousel-arrow carousel-arrow--prev': true, hidden: this.isCarouselScrollAtStart }, onClick: () => this.handleCarouselMove('backwards'), type: "button" }, h("ph-caret-left", null)), h("button", { class: { 'carousel-arrow carousel-arrow--next': true, hidden: this.isCarouselScrollAtEnd }, onClick: () => this.handleCarouselMove('forward'), type: "button" }, h("ph-caret-right", null)), h("div", { class: "sources-wrapper", ref: (el) => {
                this.carouselSourceRef = el;
            } }, this.sources.map((source, index) => {
            const showSources = (!!source.title && !!source.path) || (!!source.description && !!source.path);
            if (!showSources)
                return;
            return (h("div", { class: "source-inner-wrapper",
                // biome-ignore lint/suspicious/noArrayIndexKey: we do not have id for sources
                key: `source-${index}`, style: {
                    position: 'relative',
                    display: 'flex',
                } }, h("a", { href: this.buildUrl(source.path), class: "source", target: this.linksTarget, rel: this.linksRel, id: `source-${index}`, onClick: (onClickEvent) => this.handleItemClick(onClickEvent, source) }, h("orama-text", { as: "h3", styledAs: "span", class: "source-title" }, source.title), h("orama-text", { as: "p", styledAs: "span", class: "source-subtitle", variant: "tertiary" }, source.description))));
        })))));
    }
    static get style() { return oramaSourcesCss; }
}, [1, "orama-sources", {
        "sources": [8],
        "sourceBaseURL": [1, "source-base-u-r-l"],
        "linksTarget": [1, "links-target"],
        "linksRel": [1, "links-rel"],
        "isCarouselScrollAtEnd": [32],
        "isCarouselScrollAtStart": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-sources", "orama-text"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-sources":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OramaSources);
            }
            break;
        case "orama-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { OramaSources as O, defineCustomElement as d };
//# sourceMappingURL=p-nukcq9c8.js.map

//# sourceMappingURL=p-nukcq9c8.js.map