import type { ChatService } from "../services/ChatService";
import type { SourcesMap, TChatInteraction } from "../types/index";
import type { ObservableMap } from '@stencil/store';
export declare const ChatStoreInitialProps: {
    chatService: ChatService | null;
    interactions: TChatInteraction[] | null;
    sourceBaseURL: string;
    linksTarget: string;
    linksRel: string;
    prompt: string;
    sourcesMap: SourcesMap;
};
export type ChatStoreType = ObservableMap<typeof ChatStoreInitialProps>;
