import { type StoresMapKeys } from "./ParentComponentStore/ParentComponentStoreManager";
/**
 * A decorator that:
 * - Patches `componentWillLoad` to initialize a Component Store.
 */
export declare function Store<S extends StoresMapKeys>(storeName: S): PropertyDecorator;
