import '@phosphor-icons/webcomponents/dist/icons/PhCopy.mjs';
import '@phosphor-icons/webcomponents/dist/icons/PhArrowsClockwise.mjs';
import '@phosphor-icons/webcomponents/dist/icons/PhThumbsDown.mjs';
import '@phosphor-icons/webcomponents/dist/icons/PhWarning.mjs';
import { type TChatInteraction, type ChatMarkdownLinkHref, type ChatMarkdownLinkTarget, type ChatMarkdownLinkTitle } from "../../../../types/index";
export declare class OramaChatAssistentMessage {
    htmlElement: any;
    interaction: TChatInteraction;
    chatMarkdownLinkTitle?: ChatMarkdownLinkTitle;
    chatMarkdownLinkHref?: ChatMarkdownLinkHref;
    chatMarkdownLinkTarget?: ChatMarkdownLinkTarget;
    isCopied: boolean;
    handleCopyToClipboard: () => void;
    isDisliked: boolean;
    handleDislikeMessage: () => void;
    private chatStore;
    private handleRetryMessage;
    render(): any;
}
