import { type EventEmitter } from '../../../../../stencil-public-runtime';
import type { ChatMarkdownLinkHref, ChatMarkdownLinkTarget, ChatMarkdownLinkTitle, OnChatMarkdownLinkClickedCallbackProps } from "../../../../../types/index";
export declare class OramaMarkdown {
    content: string;
    chatMarkdownLinkTitle?: ChatMarkdownLinkTitle;
    chatMarkdownLinkHref?: ChatMarkdownLinkHref;
    chatMarkdownLinkTarget?: ChatMarkdownLinkTarget;
    chatMarkdownLinkClicked: EventEmitter<OnChatMarkdownLinkClickedCallbackProps>;
    divElement: HTMLDivElement;
    markdownElement: HTMLElement;
    onContentChange(): void;
    handleMarkdownLinkClicked(originalOnClickEvent: MouseEvent): void;
    componentDidLoad(): void;
    parseMarkdown: () => Promise<void>;
    render(): any;
}
