import type { SearchResult, OnAnswerSourceClickCallbackProps } from "../../../../../types/index";
import { type EventEmitter } from '../../../../../stencil-public-runtime';
import '@phosphor-icons/webcomponents/dist/icons/PhCaretLeft.mjs';
import '@phosphor-icons/webcomponents/dist/icons/PhCaretRight.mjs';
export declare class OramaSources {
    carouselSourceRef: HTMLElement;
    sources: any;
    sourceBaseURL?: string;
    linksTarget?: string;
    linksRel?: string;
    divElement: HTMLDivElement;
    isCarouselScrollAtEnd: boolean;
    isCarouselScrollAtStart: boolean;
    answerSourceClick: EventEmitter<OnAnswerSourceClickCallbackProps>;
    private buildUrl;
    getNextItemCarousel(container: HTMLElement, items: HTMLCollectionOf<Element>): Element;
    getPreviousItemCarousel(container: HTMLElement, items: HTMLCollectionOf<Element>): Element;
    private handleCarouselMove;
    handleCarouselScroll: () => void;
    handleItemClick: (originalOnClickEvent: MouseEvent, item: SearchResult) => void;
    computeCarouselArrowsVisibility(): void;
    resizeObserver: ResizeObserver;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    hasHorizontalOverflow(element: any): boolean;
    render(): any;
}
