import { type EventEmitter } from '../../../stencil-public-runtime';
export type ModalStatus = {
    open: boolean;
    id: HTMLElement;
};
export declare class OramaModal {
    closeOnEscape: boolean;
    closeOnOutsideClick: boolean;
    mainTitle: string;
    activeElement: HTMLElement;
    modalClosed: EventEmitter;
    el: HTMLElement;
    originalBodyOverflowState: string;
    private firstFocusableElement;
    private lastFocusableElement;
    private innerModalRef;
    private trapFocus;
    private handleFocus;
    connectedCallback(): void;
    disconnectedCallback(): void;
    componentDidUpdate(): void;
    render(): any;
}
