export declare class OramaTextarea {
    el: HTMLDivElement;
    value: string | null;
    maxRows: number | string;
    minRows: number | string;
    placeholder: string;
    autoFocus: boolean;
    height: number;
    startAdornmentWidth: number;
    endAdornmentWidth: number;
    textarea: HTMLTextAreaElement;
    shadowTextarea: HTMLTextAreaElement;
    handleAutoFocusChange(): void;
    componetWillLoad(): void;
    getNamedSlotWidth(slotName: string): number;
    handlePropsChange(): void;
    getStyleValue(value: string): number;
    calculateTextareaStyles(): {
        outerHeightStyle: number;
        overflowing: boolean;
    };
    syncHeight(): void;
    handleChange: (event: Event) => void;
    private getAllProps;
    render(): any;
}
