import { Host, h } from "@stencil/core";
export class OramaChatUserMessage {
    render() {
        return (h(Host, { key: 'd2c74982926525d2f01c2ced08900984662ed86d' }, h("div", { key: 'ee3082412dd37c9f04e3fdb2573cf2013a7d4985', class: "message-wrapper" }, h("orama-text", { key: 'b5da8143c4b840cfd24e1722846f2b24b5b8c433', as: "h2", styledAs: "p", class: "chat-question" }, this.interaction.query))));
    }
    static get is() { return "orama-chat-user-message"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["orama-chat-user-message.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["orama-chat-user-message.css"]
        };
    }
    static get properties() {
        return {
            "interaction": {
                "type": "unknown",
                "attribute": "interaction",
                "mutable": false,
                "complexType": {
                    "original": "TChatInteraction",
                    "resolved": "{ query: string; response?: string; sources?: SourceItem[]; latest?: boolean; status: TAnswerStatus; interactionId?: string; relatedQueries?: string[]; }",
                    "references": {
                        "TChatInteraction": {
                            "location": "import",
                            "path": "@/types",
                            "id": "src/types/index.ts::TChatInteraction"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=orama-chat-user-message.js.map
