var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Host, h } from "@stencil/core";
import "@phosphor-icons/webcomponents/dist/icons/PhMagnifyingGlass.mjs";
import "@phosphor-icons/webcomponents/dist/icons/PhSparkle.mjs";
import { Store } from "../../../StoreDecorator";
export class OramaToggler {
    constructor() {
        this.performInitialAnimation = false;
        this.firstRender = true;
    }
    componentWillLoad() {
        if (this.performInitialAnimation) {
            this.firstRender = false;
        }
    }
    componentDidLoad() {
        if (this.firstRender) {
            this.firstRender = false;
        }
    }
    render() {
        return (h(Host, { key: 'b5f2e4d25150746ea7d8c8f49ce65810709c62f7' }, h("button", { key: 'd4216bdf455ca829574dcfd2caab5f0e081da74a', type: "button", class: {
                selected: this.globalStore.state.currentTask === 'search',
                animate: !this.firstRender || this.performInitialAnimation,
            }, onClick: () => (this.globalStore.state.currentTask = 'search') }, h("span", { key: 'd8a05a2f1c92c27c3189e4e3682f5d162973af60' }, "Search"), h("ph-magnifying-glass", { key: 'c2cca7b67b39d6db8edf9a05f18e12c41510c790', size: 16 })), h("button", { key: '793b326cd3b463bbcc9604cb04b0671418540d04', type: "button", class: {
                selected: this.globalStore.state.currentTask === 'chat',
                animate: !this.firstRender || this.performInitialAnimation,
            }, onClick: () => (this.globalStore.state.currentTask = 'chat') }, h("ph-sparkle", { key: '8d6aaffc7c5984026397228d71fbc4fe7f03a9ea', size: 16 }), h("span", { key: '3879f5cc81113d6c74b6c9e6f71ed1b6e0ba9500' }, "Ask AI"))));
    }
    static get is() { return "orama-toggler"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["orama-toggler.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["orama-toggler.css"]
        };
    }
    static get properties() {
        return {
            "performInitialAnimation": {
                "type": "boolean",
                "attribute": "perform-initial-animation",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
}
__decorate([
    Store('global')
], OramaToggler.prototype, "globalStore", void 0);
//# sourceMappingURL=orama-toggler.js.map
