import { p as proxyCustomElement, H, c as createEvent, h, d as Host } from './p-BGpMMtbT.js';
import { C as ChatService } from './p-Dr7-Mq-_.js';
import { g as generateRandomID, i as initOramaClient, v as validateCloudIndexConfig, u as updateThemeClasses, a as updateCssVariables } from './p-BQsBOb3k.js';
import { g as getText } from './p-Db5sp_fc.js';
import { t as tt, p, n, Y, O, s } from './p-BaxMpaXp.js';
import { i as initStore, r as removeAllStores } from './p-9VPaspy8.js';
import { d as defineCustomElement$c } from './p-B65Mn12l.js';
import { d as defineCustomElement$b } from './p-DrE2-yuk.js';
import { d as defineCustomElement$a } from './p-C7v3W-8p.js';
import { d as defineCustomElement$9 } from './p-B6vpyv53.js';
import { d as defineCustomElement$8 } from './p-CYieqRjH.js';
import { d as defineCustomElement$7 } from './p-D_9XQiZ7.js';
import { d as defineCustomElement$6 } from './p-4sqp5s07.js';
import { d as defineCustomElement$5 } from './p-nukcq9c8.js';
import { d as defineCustomElement$4 } from './p-9Kx-45gq.js';
import { d as defineCustomElement$3 } from './p-Ct9q51SM.js';
import { d as defineCustomElement$2 } from './p-COgGb6VX.js';

var w = Object.defineProperty, u = Object.getOwnPropertyDescriptor, o = (a, s, h, i) => {
  for (var r = i > 1 ? void 0 : i ? u(s, h) : s, p = a.length - 1, c; p >= 0; p--)
    (c = a[p]) && (r = (i ? c(s, h, r) : c(r)) || r);
  return i && r && w(s, h, r), r;
};
let t = class extends n {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var a;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${t.weightsMap.get((a = this.weight) != null ? a : "regular")}
    </svg>`;
  }
};
t.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M236,56v48a4,4,0,0,1-4,4H184a4,4,0,0,1,0-8h37.7L187.53,68.69l-.13-.12a84,84,0,1,0-1.75,120.51,4,4,0,0,1,5.5,5.82A91.43,91.43,0,0,1,128,220h-1.26A92,92,0,1,1,193,62.84l35,32.05V56a4,4,0,1,1,8,0Z"/>`
  ],
  [
    "light",
    tt`<path d="M238,56v48a6,6,0,0,1-6,6H184a6,6,0,0,1,0-12h32.55l-30.38-27.8c-.06-.06-.12-.13-.19-.19a82,82,0,1,0-1.7,117.65,6,6,0,0,1,8.24,8.73A93.46,93.46,0,0,1,128,222h-1.28A94,94,0,1,1,194.37,61.4L226,90.35V56a6,6,0,1,1,12,0Z"/>`
  ],
  [
    "regular",
    tt`<path d="M240,56v48a8,8,0,0,1-8,8H184a8,8,0,0,1,0-16H211.4L184.81,71.64l-.25-.24a80,80,0,1,0-1.67,114.78,8,8,0,0,1,11,11.63A95.44,95.44,0,0,1,128,224h-1.32A96,96,0,1,1,195.75,60L224,85.8V56a8,8,0,1,1,16,0Z"/>`
  ],
  [
    "bold",
    tt`<path d="M244,56v48a12,12,0,0,1-12,12H184a12,12,0,1,1,0-24H201.1l-19-17.38c-.13-.12-.26-.24-.38-.37A76,76,0,1,0,127,204h1a75.53,75.53,0,0,0,52.15-20.72,12,12,0,0,1,16.49,17.45A99.45,99.45,0,0,1,128,228h-1.37A100,100,0,1,1,198.51,57.06L220,76.72V56a12,12,0,0,1,24,0Z"/>`
  ],
  [
    "fill",
    tt`<path d="M240,56v48a8,8,0,0,1-8,8H184a8,8,0,0,1-5.66-13.66l17-17-10.55-9.65-.25-.24a80,80,0,1,0-1.67,114.78,8,8,0,1,1,11,11.63A95.44,95.44,0,0,1,128,224h-1.32A96,96,0,1,1,195.75,60l10.93,10L226.34,50.3A8,8,0,0,1,240,56Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M216,128a88,88,0,1,1-88-88A88,88,0,0,1,216,128Z" opacity="0.2"/><path d="M240,56v48a8,8,0,0,1-8,8H184a8,8,0,0,1,0-16H211.4L184.81,71.64l-.25-.24a80,80,0,1,0-1.67,114.78,8,8,0,0,1,11,11.63A95.44,95.44,0,0,1,128,224h-1.32A96,96,0,1,1,195.75,60L224,85.8V56a8,8,0,1,1,16,0Z"/>`
  ]
]);
t.styles = p`
    :host {
      display: contents;
    }
  `;
o([
  O({ type: String, reflect: true })
], t.prototype, "size", 2);
o([
  O({ type: String, reflect: true })
], t.prototype, "weight", 2);
o([
  O({ type: String, reflect: true })
], t.prototype, "color", 2);
o([
  O({ type: Boolean, reflect: true })
], t.prototype, "mirrored", 2);
t = o([
  s("ph-arrow-clockwise")
], t);

const oramaChatBoxCss = ":host{display:flex;flex-grow:1}.header{background:#fbfbfb;background:var(--background-color-primary,#fbfbfb);padding:.75rem 1rem;padding:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16))) var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16)));text-align:end;transition:opacity .2s}.header.hidden button{opacity:0;pointer-events:none}.header button{align-items:center;background-color:transparent;border:none;border-radius:.5rem;border-radius:var(--radius-s,calc(8rem/var(--orama-base-font-size, 16)));cursor:pointer;display:inline-flex;font-size:.875rem;font-size:var(--font-size-sm,calc(14rem/var(--orama-base-font-size, 16)));gap:.25rem;gap:var(--spacing-xs,calc(4rem/var(--orama-base-font-size, 16)));padding:.125rem .25rem;padding:var(--spacing-2xs,calc(2rem/var(--orama-base-font-size, 16))) var(--spacing-xs,calc(4rem/var(--orama-base-font-size, 16)));transition:color .2s;transition:background-color .2s}.header button,.header button:hover{color:#99989d;color:var(--text-color-tertiary,#99989d)}.header button:hover{background-color:#eee9f6;background-color:var(--background-color-tertiary,#eee9f6)}";

const ChatBox = /*@__PURE__*/ proxyCustomElement(class ChatBox extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.answerGenerated = createEvent(this, "answerGenerated");
        this.clearChat = createEvent(this, "clearChat");
        this.startConversation = createEvent(this, "startConversation");
        this.answerSourceClick = createEvent(this, "answerSourceClick");
        this.chatMarkdownLinkClicked = createEvent(this, "chatMarkdownLinkClicked");
        this.autoFocus = true;
        this.clearChatOnDisconnect = true;
        /**
         * Text dictionary for customizing all text content in the component.
         * This can be set either via HTML attribute as a JSON string or via JavaScript as an object.
         * It allows for customization of all text elements like placeholders, error messages, and UI labels.
         * @example
         * // Via HTML attribute
         * <orama-chat-box dictionary='{"chatPlaceholder": "Ask about our docs..."}' />
         *
         * // Via JavaScript
         * const chatBox = document.querySelector('orama-chat-box');
         * chatBox.dictionary = { chatPlaceholder: "Ask about our docs..." };
         */
        this.dictionary = {};
        /**
         * Component color schema
         */
        this.colorScheme = 'light';
        this.componentID = generateRandomID('chat-box');
        this.systemScheme = 'light';
        this.onPrefersColorSchemeChange = (event) => {
            this.systemScheme = event.matches ? 'dark' : 'light';
            this.updateTheme();
        };
    }
    /**
     * Gets the text for a specific key from the dictionary prop.
     * Prioritizes direct props (placeholder) for backward compatibility,
     * then falls back to the dictionary prop, and finally to the defaultTextDictionary.
     *
     * @param key - The key to get the text forstartChatService
     * @returns The text for the specified key
     */
    getText(key) {
        // Create a map of direct props for backward compatibility
        const directProps = {
            chatPlaceholder: this.placeholder,
        };
        return getText(key, this.dictionary, directProps);
    }
    watchHandler() {
        // This is a naive way to check if it is safe to eval this method (after componentWillLoad)
        if (!this.chatStore) {
            return;
        }
        this.startChatService();
        this.updateTheme();
    }
    /**
     * Watch for changes to the dictionary prop
     */
    handleTextDictionaryChange(newValue) {
        // Handle case where dictionary is passed as a string (via HTML attribute)
        if (typeof newValue === 'string') {
            try {
                this.dictionary = JSON.parse(newValue);
            }
            catch (e) {
                console.error('Error parsing dictionary:', e);
            }
        }
    }
    componentWillLoad() {
        this.htmlElement.id = this.componentID;
        this.schemaQuery = window.matchMedia('(prefers-color-scheme: dark)');
        this.systemScheme = this.schemaQuery.matches ? 'dark' : 'light';
        this.updateTheme();
        this.schemaQuery.addEventListener('change', this.onPrefersColorSchemeChange);
        this.startChatService();
    }
    componentDidLoad() {
        this.htmlElement.id = this.componentID;
        this.startChatService();
    }
    /**
     * Get the old Orama Client if oramaCore ins't available
     */
    getOldOramaClient() {
        if (this.oramaCoreClientInstance) {
            return undefined;
        }
        if (this.clientInstance) {
            return this.clientInstance;
        }
        return initOramaClient(this.index);
    }
    startChatService() {
        if (!this.index && !this.clientInstance && !this.oramaCoreClientInstance) {
            console.error('Missing Index, ClientInstance or OramaCoreClientInstance');
            // Skip initialization if no index or clientInstance is provided
            return;
        }
        validateCloudIndexConfig(this.htmlElement, this.index, this.clientInstance, this.oramaCoreClientInstance);
        const oldOramaClient = this.getOldOramaClient();
        this.chatStore.state.chatService = new ChatService(oldOramaClient, this.oramaCoreClientInstance, this.chatStore);
        if (!this.chatStore.state.chatService) {
            console.error('Failed to initialize chat service');
        }
    }
    updateTheme() {
        const scheme = updateThemeClasses(this.htmlElement, this.colorScheme, this.systemScheme);
        updateCssVariables(this.htmlElement, scheme, this.themeConfig);
    }
    connectedCallback() {
        this.chatStore = initStore('chat', this.componentID);
    }
    disconnectedCallback() {
        var _a;
        removeAllStores(this.componentID);
        (_a = this.schemaQuery) === null || _a === void 0 ? void 0 : _a.removeEventListener('change', this.onPrefersColorSchemeChange);
    }
    render() {
        var _a, _b;
        if (!this.chatStore.state.chatService) {
            return null;
        }
        // Maintain backwards compatibility with dark theme default
        const defaultTheme = 'dark';
        const currentScheme = this.colorScheme === 'system' ? this.systemScheme : this.colorScheme || defaultTheme;
        return (h(Host, { class: `theme-${currentScheme}` }, h("orama-chat", { placeholder: this.getText('chatPlaceholder'), sourceBaseUrl: this.sourceBaseUrl, sourcesMap: this.sourcesMap, suggestions: this.suggestions, relatedQueries: this.relatedQueries, focusInput: this.autoFocus, systemPrompts: this.systemPrompts, prompt: this.prompt, clearChatOnDisconnect: this.clearChatOnDisconnect, chatMarkdownLinkTitle: this.chatMarkdownLinkTitle, chatMarkdownLinkHref: this.chatMarkdownLinkHref, dictionary: this.dictionary, disclaimer: this.disclaimer }, !!((_b = (_a = this.chatStore.state) === null || _a === void 0 ? void 0 : _a.interactions) === null || _b === void 0 ? void 0 : _b.length) && (h("div", { slot: "chat-empty-state" }, h("slot", { name: "empty-state" }))))));
    }
    get htmlElement() { return this; }
    static get watchers() { return {
        "index": ["watchHandler"],
        "themeConfig": ["watchHandler"],
        "colorScheme": ["watchHandler"],
        "oramaCoreClientInstance": ["watchHandler"],
        "clientInstance": ["watchHandler"],
        "dictionary": ["handleTextDictionaryChange"]
    }; }
    static get style() { return oramaChatBoxCss; }
}, [1, "orama-chat-box", {
        "index": [16],
        "clientInstance": [16, "client-instance"],
        "oramaCoreClientInstance": [16, "orama-core-client-instance"],
        "sourceBaseUrl": [1, "source-base-url"],
        "linksTarget": [1, "links-target"],
        "linksRel": [1, "links-rel"],
        "placeholder": [1],
        "sourcesMap": [16, "sources-map"],
        "suggestions": [16],
        "relatedQueries": [2, "related-queries"],
        "autoFocus": [4, "auto-focus"],
        "systemPrompts": [16, "system-prompts"],
        "prompt": [1],
        "clearChatOnDisconnect": [4, "clear-chat-on-disconnect"],
        "chatMarkdownLinkTitle": [16, "chat-markdown-link-title"],
        "chatMarkdownLinkHref": [16, "chat-markdown-link-href"],
        "chatMarkdownLinkTarget": [16, "chat-markdown-link-target"],
        "dictionary": [16],
        "disclaimer": [1],
        "themeConfig": [16, "theme-config"],
        "colorScheme": [1, "color-scheme"],
        "componentID": [32],
        "systemScheme": [32]
    }, undefined, {
        "index": ["watchHandler"],
        "themeConfig": ["watchHandler"],
        "colorScheme": ["watchHandler"],
        "oramaCoreClientInstance": ["watchHandler"],
        "clientInstance": ["watchHandler"],
        "dictionary": ["handleTextDictionaryChange"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-chat-box", "orama-button", "orama-chat", "orama-chat-assistent-message", "orama-chat-messages-container", "orama-chat-user-message", "orama-dots-loader", "orama-markdown", "orama-sources", "orama-suggestions", "orama-text", "orama-textarea"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-chat-box":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ChatBox);
            }
            break;
        case "orama-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "orama-chat":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "orama-chat-assistent-message":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "orama-chat-messages-container":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "orama-chat-user-message":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "orama-dots-loader":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "orama-markdown":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "orama-sources":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "orama-suggestions":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "orama-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "orama-textarea":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const OramaChatBox = ChatBox;
const defineCustomElement = defineCustomElement$1;

export { OramaChatBox, defineCustomElement };
//# sourceMappingURL=orama-chat-box.js.map

//# sourceMappingURL=orama-chat-box.js.map