import { p as proxyCustomElement, H, h, d as Host } from './p-BGpMMtbT.js';
import { t as tt, p, n, Y, O, s } from './p-BaxMpaXp.js';
import { d as copyToClipboard } from './p-BQsBOb3k.js';
import { S as Store } from './p-9VPaspy8.js';
import { d as defineCustomElement$5 } from './p-B65Mn12l.js';
import { d as defineCustomElement$4 } from './p-D_9XQiZ7.js';
import { d as defineCustomElement$3 } from './p-4sqp5s07.js';
import { d as defineCustomElement$2 } from './p-nukcq9c8.js';
import { d as defineCustomElement$1 } from './p-Ct9q51SM.js';

// TODO: this type should be imported from orama-client
var TAnswerStatus;
(function (TAnswerStatus) {
    TAnswerStatus["idle"] = "idle";
    TAnswerStatus["loading"] = "loading";
    TAnswerStatus["rendering"] = "rendering";
    TAnswerStatus["streaming"] = "streaming";
    TAnswerStatus["error"] = "error";
    TAnswerStatus["aborted"] = "aborted";
    TAnswerStatus["done"] = "done";
})(TAnswerStatus || (TAnswerStatus = {}));

var c$1 = Object.defineProperty, f$1 = Object.getOwnPropertyDescriptor, o$2 = (a, s, p, H) => {
  for (var r = H > 1 ? void 0 : H ? f$1(s, p) : s, i = a.length - 1, h; i >= 0; i--)
    (h = a[i]) && (r = (H ? h(s, p, r) : h(r)) || r);
  return H && r && c$1(s, p, r), r;
};
let t$1 = class t extends n {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var a;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${t$1.weightsMap.get((a = this.weight) != null ? a : "regular")}
    </svg>`;
  }
};
t$1.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M216,36H88a4,4,0,0,0-4,4V84H40a4,4,0,0,0-4,4V216a4,4,0,0,0,4,4H168a4,4,0,0,0,4-4V172h44a4,4,0,0,0,4-4V40A4,4,0,0,0,216,36ZM164,212H44V92H164Zm48-48H172V88a4,4,0,0,0-4-4H92V44H212Z"/>`
  ],
  [
    "light",
    tt`<path d="M216,34H88a6,6,0,0,0-6,6V82H40a6,6,0,0,0-6,6V216a6,6,0,0,0,6,6H168a6,6,0,0,0,6-6V174h42a6,6,0,0,0,6-6V40A6,6,0,0,0,216,34ZM162,210H46V94H162Zm48-48H174V88a6,6,0,0,0-6-6H94V46H210Z"/>`
  ],
  [
    "regular",
    tt`<path d="M216,32H88a8,8,0,0,0-8,8V80H40a8,8,0,0,0-8,8V216a8,8,0,0,0,8,8H168a8,8,0,0,0,8-8V176h40a8,8,0,0,0,8-8V40A8,8,0,0,0,216,32ZM160,208H48V96H160Zm48-48H176V88a8,8,0,0,0-8-8H96V48H208Z"/>`
  ],
  [
    "bold",
    tt`<path d="M216,28H88A12,12,0,0,0,76,40V76H40A12,12,0,0,0,28,88V216a12,12,0,0,0,12,12H168a12,12,0,0,0,12-12V180h36a12,12,0,0,0,12-12V40A12,12,0,0,0,216,28ZM156,204H52V100H156Zm48-48H180V88a12,12,0,0,0-12-12H100V52H204Z"/>`
  ],
  [
    "fill",
    tt`<path d="M216,32H88a8,8,0,0,0-8,8V80H40a8,8,0,0,0-8,8V216a8,8,0,0,0,8,8H168a8,8,0,0,0,8-8V176h40a8,8,0,0,0,8-8V40A8,8,0,0,0,216,32Zm-8,128H176V88a8,8,0,0,0-8-8H96V48H208Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M216,40V168H168V88H88V40Z" opacity="0.2"/><path d="M216,32H88a8,8,0,0,0-8,8V80H40a8,8,0,0,0-8,8V216a8,8,0,0,0,8,8H168a8,8,0,0,0,8-8V176h40a8,8,0,0,0,8-8V40A8,8,0,0,0,216,32ZM160,208H48V96H160Zm48-48H176V88a8,8,0,0,0-8-8H96V48H208Z"/>`
  ]
]);
t$1.styles = p`
    :host {
      display: contents;
    }
  `;
o$2([
  O({ type: String, reflect: true })
], t$1.prototype, "size", 2);
o$2([
  O({ type: String, reflect: true })
], t$1.prototype, "weight", 2);
o$2([
  O({ type: String, reflect: true })
], t$1.prototype, "color", 2);
o$2([
  O({ type: Boolean, reflect: true })
], t$1.prototype, "mirrored", 2);
t$1 = o$2([
  s("ph-copy")
], t$1);

var f = Object.defineProperty, w = Object.getOwnPropertyDescriptor, o$1 = (e, s, i, h) => {
  for (var t = h > 1 ? void 0 : h ? w(s, i) : s, p = e.length - 1, n; p >= 0; p--)
    (n = e[p]) && (t = (h ? n(s, i, t) : n(t)) || t);
  return h && t && f(s, i, t), t;
};
let a$1 = class a extends n {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var e;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${a$1.weightsMap.get((e = this.weight) != null ? e : "regular")}
    </svg>`;
  }
};
a$1.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M220,48V96a4,4,0,0,1-4,4H168a4,4,0,0,1,0-8h38.34L184.89,70.54A84,84,0,0,0,66.8,69.85a4,4,0,1,1-5.6-5.72,92,92,0,0,1,129.34.76L212,86.34V48a4,4,0,0,1,8,0ZM189.2,186.15a83.44,83.44,0,0,1-58.68,23.91h-.47a83.52,83.52,0,0,1-58.94-24.6L49.66,164H88a4,4,0,0,0,0-8H40a4,4,0,0,0-4,4v48a4,4,0,0,0,8,0V169.66l21.46,21.45A91.43,91.43,0,0,0,130,218.06h.51a91.45,91.45,0,0,0,64.28-26.19,4,4,0,1,0-5.6-5.72Z"/>`
  ],
  [
    "light",
    tt`<path d="M222,48V96a6,6,0,0,1-6,6H168a6,6,0,0,1,0-12h33.52L183.47,72a81.51,81.51,0,0,0-57.53-24h-.46A81.5,81.5,0,0,0,68.19,71.28a6,6,0,1,1-8.38-8.58,93.38,93.38,0,0,1,65.67-26.76H126a93.45,93.45,0,0,1,66,27.53l18,18V48a6,6,0,0,1,12,0ZM187.81,184.72a81.5,81.5,0,0,1-57.29,23.34h-.46a81.51,81.51,0,0,1-57.53-24L54.48,166H88a6,6,0,0,0,0-12H40a6,6,0,0,0-6,6v48a6,6,0,0,0,12,0V174.48l18,18.05a93.45,93.45,0,0,0,66,27.53h.52a93.38,93.38,0,0,0,65.67-26.76,6,6,0,1,0-8.38-8.58Z"/>`
  ],
  [
    "regular",
    tt`<path d="M224,48V96a8,8,0,0,1-8,8H168a8,8,0,0,1,0-16h28.69L182.06,73.37a79.56,79.56,0,0,0-56.13-23.43h-.45A79.52,79.52,0,0,0,69.59,72.71,8,8,0,0,1,58.41,61.27a96,96,0,0,1,135,.79L208,76.69V48a8,8,0,0,1,16,0ZM186.41,183.29a80,80,0,0,1-112.47-.66L59.31,168H88a8,8,0,0,0,0-16H40a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V179.31l14.63,14.63A95.43,95.43,0,0,0,130,222.06h.53a95.36,95.36,0,0,0,67.07-27.33,8,8,0,0,0-11.18-11.44Z"/>`
  ],
  [
    "bold",
    tt`<path d="M228,48V96a12,12,0,0,1-12,12H168a12,12,0,0,1,0-24h19l-7.8-7.8a75.55,75.55,0,0,0-53.32-22.26h-.43A75.49,75.49,0,0,0,72.39,75.57,12,12,0,1,1,55.61,58.41a99.38,99.38,0,0,1,69.87-28.47H126A99.42,99.42,0,0,1,196.2,59.23L204,67V48a12,12,0,0,1,24,0ZM183.61,180.43a75.49,75.49,0,0,1-53.09,21.63h-.43A75.55,75.55,0,0,1,76.77,179.8L69,172H88a12,12,0,0,0,0-24H40a12,12,0,0,0-12,12v48a12,12,0,0,0,24,0V189l7.8,7.8A99.42,99.42,0,0,0,130,226.06h.56a99.38,99.38,0,0,0,69.87-28.47,12,12,0,0,0-16.78-17.16Z"/>`
  ],
  [
    "fill",
    tt`<path d="M224,48V96a8,8,0,0,1-8,8H168a8,8,0,0,1-5.66-13.66L180.65,72a79.48,79.48,0,0,0-54.72-22.09h-.45A79.52,79.52,0,0,0,69.59,72.71,8,8,0,0,1,58.41,61.27,96,96,0,0,1,192,60.7l18.36-18.36A8,8,0,0,1,224,48ZM186.41,183.29A80,80,0,0,1,75.35,184l18.31-18.31A8,8,0,0,0,88,152H40a8,8,0,0,0-8,8v48a8,8,0,0,0,13.66,5.66L64,195.3a95.42,95.42,0,0,0,66,26.76h.53a95.36,95.36,0,0,0,67.07-27.33,8,8,0,0,0-11.18-11.44Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M216,128a88,88,0,1,1-88-88A88,88,0,0,1,216,128Z" opacity="0.2"/><path d="M224,48V96a8,8,0,0,1-8,8H168a8,8,0,0,1,0-16h28.69L182.06,73.37a79.56,79.56,0,0,0-56.13-23.43h-.45A79.52,79.52,0,0,0,69.59,72.71,8,8,0,0,1,58.41,61.27a96,96,0,0,1,135,.79L208,76.69V48a8,8,0,0,1,16,0ZM186.41,183.29a80,80,0,0,1-112.47-.66L59.31,168H88a8,8,0,0,0,0-16H40a8,8,0,0,0-8,8v48a8,8,0,0,0,16,0V179.31l14.63,14.63A95.43,95.43,0,0,0,130,222.06h.53a95.36,95.36,0,0,0,67.07-27.33,8,8,0,0,0-11.18-11.44Z"/>`
  ]
]);
a$1.styles = p`
    :host {
      display: contents;
    }
  `;
o$1([
  O({ type: String, reflect: true })
], a$1.prototype, "size", 2);
o$1([
  O({ type: String, reflect: true })
], a$1.prototype, "weight", 2);
o$1([
  O({ type: String, reflect: true })
], a$1.prototype, "color", 2);
o$1([
  O({ type: Boolean, reflect: true })
], a$1.prototype, "mirrored", 2);
a$1 = o$1([
  s("ph-arrows-clockwise")
], a$1);

var g = Object.defineProperty, u = Object.getOwnPropertyDescriptor, l = (e, o, p, s) => {
  for (var a = s > 1 ? void 0 : s ? u(o, p) : o, h = e.length - 1, H; h >= 0; h--)
    (H = e[h]) && (a = (s ? H(o, p, a) : H(a)) || a);
  return s && a && g(o, p, a), a;
};
let t = class extends n {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var e;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${t.weightsMap.get((e = this.weight) != null ? e : "regular")}
    </svg>`;
  }
};
t.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M235.85,157.52l-12-96A20,20,0,0,0,204,44H32A12,12,0,0,0,20,56v88a12,12,0,0,0,12,12H77.53l38.89,77.79A4,4,0,0,0,120,236a36,36,0,0,0,36-36V180h60a20,20,0,0,0,19.85-22.48ZM76,148H32a4,4,0,0,1-4-4V56a4,4,0,0,1,4-4H76Zm149,19.94a12,12,0,0,1-9,4.06H152a4,4,0,0,0-4,4v24a28,28,0,0,1-25.58,27.9L84,151.06V52H204a12,12,0,0,1,11.91,10.51l12,96A12,12,0,0,1,225,167.94Z"/>`
  ],
  [
    "light",
    tt`<path d="M237.83,157.27l-12-96A22,22,0,0,0,204,42H32A14,14,0,0,0,18,56v88a14,14,0,0,0,14,14H76.29l38.34,76.68A6,6,0,0,0,120,238a38,38,0,0,0,38-38V182h58a22,22,0,0,0,21.83-24.73ZM74,146H32a2,2,0,0,1-2-2V56a2,2,0,0,1,2-2H74Zm149.5,20.62A9.89,9.89,0,0,1,216,170H152a6,6,0,0,0-6,6v24a26,26,0,0,1-22.42,25.75L86,150.58V54H204a10,10,0,0,1,9.92,8.76l12,96A9.89,9.89,0,0,1,223.5,166.62Z"/>`
  ],
  [
    "regular",
    tt`<path d="M239.82,157l-12-96A24,24,0,0,0,204,40H32A16,16,0,0,0,16,56v88a16,16,0,0,0,16,16H75.06l37.78,75.58A8,8,0,0,0,120,240a40,40,0,0,0,40-40V184h56a24,24,0,0,0,23.82-27ZM72,144H32V56H72Zm150,21.29a7.88,7.88,0,0,1-6,2.71H152a8,8,0,0,0-8,8v24a24,24,0,0,1-19.29,23.54L88,150.11V56H204a8,8,0,0,1,7.94,7l12,96A7.87,7.87,0,0,1,222,165.29Z"/>`
  ],
  [
    "bold",
    tt`<path d="M243.78,156.53l-12-96A28,28,0,0,0,204,36H32A20,20,0,0,0,12,56v88a20,20,0,0,0,20,20H72.58l36.69,73.37A12,12,0,0,0,120,244a44.05,44.05,0,0,0,44-44V188h52a28,28,0,0,0,27.78-31.47ZM68,140H36V60H68Zm151,22.65a4,4,0,0,1-3,1.35H152a12,12,0,0,0-12,12v24a20,20,0,0,1-13.18,18.8L92,149.17V60H204a4,4,0,0,1,4,3.5l12,96A4,4,0,0,1,219,162.65Z"/>`
  ],
  [
    "fill",
    tt`<path d="M239.82,157l-12-96A24,24,0,0,0,204,40H32A16,16,0,0,0,16,56v88a16,16,0,0,0,16,16H75.06l37.78,75.58A8,8,0,0,0,120,240a40,40,0,0,0,40-40V184h56a24,24,0,0,0,23.82-27ZM72,144H32V56H72Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M80,48V152H32a8,8,0,0,1-8-8V56a8,8,0,0,1,8-8Z" opacity="0.2"/><path d="M239.82,157l-12-96A24,24,0,0,0,204,40H32A16,16,0,0,0,16,56v88a16,16,0,0,0,16,16H75.06l37.78,75.58A8,8,0,0,0,120,240a40,40,0,0,0,40-40V184h56a24,24,0,0,0,23.82-27ZM72,144H32V56H72Zm150,21.29a7.88,7.88,0,0,1-6,2.71H152a8,8,0,0,0-8,8v24a24,24,0,0,1-19.29,23.54L88,150.11V56H204a8,8,0,0,1,7.94,7l12,96A7.87,7.87,0,0,1,222,165.29Z"/>`
  ]
]);
t.styles = p`
    :host {
      display: contents;
    }
  `;
l([
  O({ type: String, reflect: true })
], t.prototype, "size", 2);
l([
  O({ type: String, reflect: true })
], t.prototype, "weight", 2);
l([
  O({ type: String, reflect: true })
], t.prototype, "color", 2);
l([
  O({ type: Boolean, reflect: true })
], t.prototype, "mirrored", 2);
t = l([
  s("ph-thumbs-down")
], t);

var M = Object.defineProperty, c = Object.getOwnPropertyDescriptor, o = (e, s, p, h) => {
  for (var t = h > 1 ? void 0 : h ? c(s, p) : s, l = e.length - 1, m; l >= 0; l--)
    (m = e[l]) && (t = (h ? m(s, p, t) : m(t)) || t);
  return h && t && M(s, p, t), t;
};
let a = class extends n {
  constructor() {
    super(...arguments), this.size = "1em", this.weight = "regular", this.color = "currentColor", this.mirrored = false;
  }
  render() {
    var e;
    return Y`<svg
      xmlns="http://www.w3.org/2000/svg"
      width="${this.size}"
      height="${this.size}"
      fill="${this.color}"
      viewBox="0 0 256 256"
      transform=${this.mirrored ? "scale(-1, 1)" : null}
    >
      ${a.weightsMap.get((e = this.weight) != null ? e : "regular")}
    </svg>`;
  }
};
a.weightsMap = /* @__PURE__ */ new Map([
  [
    "thin",
    tt`<path d="M233.34,190.09,145.88,38.22h0a20.75,20.75,0,0,0-35.76,0L22.66,190.09a19.52,19.52,0,0,0,0,19.71A20.36,20.36,0,0,0,40.54,220H215.46a20.36,20.36,0,0,0,17.86-10.2A19.52,19.52,0,0,0,233.34,190.09ZM226.4,205.8a12.47,12.47,0,0,1-10.94,6.2H40.54a12.47,12.47,0,0,1-10.94-6.2,11.45,11.45,0,0,1,0-11.72L117.05,42.21a12.76,12.76,0,0,1,21.9,0L226.4,194.08A11.45,11.45,0,0,1,226.4,205.8ZM124,144V104a4,4,0,0,1,8,0v40a4,4,0,0,1-8,0Zm12,36a8,8,0,1,1-8-8A8,8,0,0,1,136,180Z"/>`
  ],
  [
    "light",
    tt`<path d="M235.07,189.09,147.61,37.22h0a22.75,22.75,0,0,0-39.22,0L20.93,189.09a21.53,21.53,0,0,0,0,21.72A22.35,22.35,0,0,0,40.55,222h174.9a22.35,22.35,0,0,0,19.6-11.19A21.53,21.53,0,0,0,235.07,189.09ZM224.66,204.8a10.46,10.46,0,0,1-9.21,5.2H40.55a10.46,10.46,0,0,1-9.21-5.2,9.51,9.51,0,0,1,0-9.72L118.79,43.21a10.75,10.75,0,0,1,18.42,0l87.46,151.87A9.51,9.51,0,0,1,224.66,204.8ZM122,144V104a6,6,0,0,1,12,0v40a6,6,0,0,1-12,0Zm16,36a10,10,0,1,1-10-10A10,10,0,0,1,138,180Z"/>`
  ],
  [
    "regular",
    tt`<path d="M236.8,188.09,149.35,36.22h0a24.76,24.76,0,0,0-42.7,0L19.2,188.09a23.51,23.51,0,0,0,0,23.72A24.35,24.35,0,0,0,40.55,224h174.9a24.35,24.35,0,0,0,21.33-12.19A23.51,23.51,0,0,0,236.8,188.09ZM222.93,203.8a8.5,8.5,0,0,1-7.48,4.2H40.55a8.5,8.5,0,0,1-7.48-4.2,7.59,7.59,0,0,1,0-7.72L120.52,44.21a8.75,8.75,0,0,1,15,0l87.45,151.87A7.59,7.59,0,0,1,222.93,203.8ZM120,144V104a8,8,0,0,1,16,0v40a8,8,0,0,1-16,0Zm20,36a12,12,0,1,1-12-12A12,12,0,0,1,140,180Z"/>`
  ],
  [
    "bold",
    tt`<path d="M240.26,186.1,152.81,34.23h0a28.74,28.74,0,0,0-49.62,0L15.74,186.1a27.45,27.45,0,0,0,0,27.71A28.31,28.31,0,0,0,40.55,228h174.9a28.31,28.31,0,0,0,24.79-14.19A27.45,27.45,0,0,0,240.26,186.1Zm-20.8,15.7a4.46,4.46,0,0,1-4,2.2H40.55a4.46,4.46,0,0,1-4-2.2,3.56,3.56,0,0,1,0-3.73L124,46.2a4.77,4.77,0,0,1,8,0l87.44,151.87A3.56,3.56,0,0,1,219.46,201.8ZM116,136V104a12,12,0,0,1,24,0v32a12,12,0,0,1-24,0Zm28,40a16,16,0,1,1-16-16A16,16,0,0,1,144,176Z"/>`
  ],
  [
    "fill",
    tt`<path d="M236.8,188.09,149.35,36.22h0a24.76,24.76,0,0,0-42.7,0L19.2,188.09a23.51,23.51,0,0,0,0,23.72A24.35,24.35,0,0,0,40.55,224h174.9a24.35,24.35,0,0,0,21.33-12.19A23.51,23.51,0,0,0,236.8,188.09ZM120,104a8,8,0,0,1,16,0v40a8,8,0,0,1-16,0Zm8,88a12,12,0,1,1,12-12A12,12,0,0,1,128,192Z"/>`
  ],
  [
    "duotone",
    tt`<path d="M215.46,216H40.54C27.92,216,20,202.79,26.13,192.09L113.59,40.22c6.3-11,22.52-11,28.82,0l87.46,151.87C236,202.79,228.08,216,215.46,216Z" opacity="0.2"/><path d="M236.8,188.09,149.35,36.22h0a24.76,24.76,0,0,0-42.7,0L19.2,188.09a23.51,23.51,0,0,0,0,23.72A24.35,24.35,0,0,0,40.55,224h174.9a24.35,24.35,0,0,0,21.33-12.19A23.51,23.51,0,0,0,236.8,188.09ZM222.93,203.8a8.5,8.5,0,0,1-7.48,4.2H40.55a8.5,8.5,0,0,1-7.48-4.2,7.59,7.59,0,0,1,0-7.72L120.52,44.21a8.75,8.75,0,0,1,15,0l87.45,151.87A7.59,7.59,0,0,1,222.93,203.8ZM120,144V104a8,8,0,0,1,16,0v40a8,8,0,0,1-16,0Zm20,36a12,12,0,1,1-12-12A12,12,0,0,1,140,180Z"/>`
  ]
]);
a.styles = p`
    :host {
      display: contents;
    }
  `;
o([
  O({ type: String, reflect: true })
], a.prototype, "size", 2);
o([
  O({ type: String, reflect: true })
], a.prototype, "weight", 2);
o([
  O({ type: String, reflect: true })
], a.prototype, "color", 2);
o([
  O({ type: Boolean, reflect: true })
], a.prototype, "mirrored", 2);
a = o([
  s("ph-warning")
], a);

const oramaChatAssistentMessageCss = ".sc-orama-chat-assistent-message-h{color:#838289;color:var(--text-color-secondary,#838289);display:block}.message-wrapper.sc-orama-chat-assistent-message{padding:.75rem;padding:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)))}.message-error.sc-orama-chat-assistent-message,.message-wrapper.sc-orama-chat-assistent-message{background:#fff;background:var(--background-color-secondary,#fff);border-radius:.75rem;border-radius:var(--radius-m,calc(12rem/var(--orama-base-font-size, 16)));margin:0 1rem;margin:0 var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16)))}.message-error.sc-orama-chat-assistent-message{padding:1rem .5rem;padding:var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16))) var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16)));text-align:center}.message-error.sc-orama-chat-assistent-message ph-warning.sc-orama-chat-assistent-message{color:#99989d;color:var(--text-color-inactive,#99989d);display:block}.message-actions.sc-orama-chat-assistent-message{display:flex;gap:.5rem;gap:var(--spacing-s,calc(8rem/var(--orama-base-font-size, 16)));justify-content:end;margin-top:.75rem;margin-top:var(--spacing-m,calc(12rem/var(--orama-base-font-size, 16)));transition:opacity .2s ease-in-out}.hidden.sc-orama-chat-assistent-message{opacity:0;pointer-events:none}.sr-only.sc-orama-chat-assistent-message{clip:rect(0 0 0 0);clip-path:inset(50%);height:1px;overflow:hidden;position:absolute;white-space:nowrap;width:1px}@keyframes rotate360{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}";

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const OramaChatAssistentMessage = /*@__PURE__*/ proxyCustomElement(class OramaChatAssistentMessage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.isCopied = false;
        this.handleCopyToClipboard = () => {
            this.isCopied = true;
            setTimeout(() => (this.isCopied = false), 1000);
            copyToClipboard(this.interaction.response);
        };
        this.isDisliked = false;
        this.handleDislikeMessage = () => {
            // todo: replace with actual dislike logic
            this.isDisliked = !this.isDisliked;
        };
        this.handleRetryMessage = () => {
            var _a;
            (_a = this.chatStore.state.chatService) === null || _a === void 0 ? void 0 : _a.regenerateLatest();
        };
    }
    render() {
        if (this.interaction.status === 'loading') {
            return (h("div", { class: "message-wrapper" }, h("orama-dots-loader", null)));
        }
        if (this.interaction.status === 'error') {
            return (h("div", { class: "message-error" }, h("ph-warning", { size: 16 }), h("orama-text", { styledAs: "span", inactive: true }, "An error occurred while trying to search. Please try again.")));
        }
        return (h(Host, null, h("orama-sources", { sources: this.interaction.sources, sourceBaseURL: this.chatStore.state.sourceBaseURL, linksRel: this.chatStore.state.linksRel, linksTarget: this.chatStore.state.linksTarget }), h("div", { class: "message-wrapper" }, !this.interaction.response ? (h("orama-dots-loader", null)) : (h("orama-markdown", { content: this.interaction.response, chatMarkdownLinkTitle: this.chatMarkdownLinkTitle, chatMarkdownLinkHref: this.chatMarkdownLinkHref })), h("div", { class: { 'message-actions': true, hidden: this.interaction.status !== TAnswerStatus.done } }, this.interaction.latest && (h("orama-button", { type: "button", variant: "icon", onClick: this.handleRetryMessage, onKeyDown: this.handleRetryMessage, "aria-label": "Retry message" }, h("ph-arrows-clockwise", { size: "16px" }))), h("orama-button", { type: "button", variant: "icon", onClick: this.handleCopyToClipboard, onKeyDown: this.handleCopyToClipboard, withTooltip: this.isCopied ? 'Copied!' : undefined, "aria-label": "Copy message" }, h("ph-copy", { size: "16px" })), h("orama-button", { type: "button", variant: "icon", onClick: this.handleDislikeMessage, onKeyDown: this.handleDislikeMessage, "aria-label": "Dislike message" }, this.isDisliked ? h("ph-thumbs-down", { weight: "fill", size: "16px" }) : h("ph-thumbs-down", { size: "16px" }))))));
    }
    get htmlElement() { return this; }
    static get style() { return oramaChatAssistentMessageCss; }
}, [2, "orama-chat-assistent-message", {
        "interaction": [16],
        "chatMarkdownLinkTitle": [16, "chat-markdown-link-title"],
        "chatMarkdownLinkHref": [16, "chat-markdown-link-href"],
        "chatMarkdownLinkTarget": [16, "chat-markdown-link-target"],
        "isCopied": [32],
        "isDisliked": [32]
    }]);
__decorate([
    Store('chat')
], OramaChatAssistentMessage.prototype, "chatStore", void 0);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-chat-assistent-message", "orama-button", "orama-dots-loader", "orama-markdown", "orama-sources", "orama-text"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-chat-assistent-message":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OramaChatAssistentMessage);
            }
            break;
        case "orama-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "orama-dots-loader":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "orama-markdown":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "orama-sources":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "orama-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { OramaChatAssistentMessage as O, TAnswerStatus as T, defineCustomElement as d };
//# sourceMappingURL=p-C7v3W-8p.js.map

//# sourceMappingURL=p-C7v3W-8p.js.map