import { p as proxyCustomElement, H, h } from './p-BGpMMtbT.js';

const oramaDotsLoaderCss = ".dots-loader.sc-orama-dots-loader{align-items:center;display:inline-flex;justify-content:center;padding:1rem 0;padding:var(--spacing-l,calc(16rem/var(--orama-base-font-size, 16))) 0}.dot.sc-orama-dots-loader{animation:dot-slide-up 1.4s infinite both;background-color:#151515;background-color:var(--text-color-primary,#151515);border-radius:50%;height:.25rem;height:calc(4rem/var(--orama-base-font-size, 16));margin:0 .125rem;margin:0 var(--spacing-2xs,calc(2rem/var(--orama-base-font-size, 16)));width:.25rem;width:calc(4rem/var(--orama-base-font-size, 16))}.dot.sc-orama-dots-loader:first-child{animation-delay:-.32s}.dot.sc-orama-dots-loader:nth-child(2){animation-delay:-.16s}@keyframes dot-slide-up{0%,80%,to{opacity:.3;transform:translateZ(0)}40%{opacity:1;transform:translate3d(0,-4px,0)}}";

const DotsLoader = /*@__PURE__*/ proxyCustomElement(class DotsLoader extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: '8f554124861dff20b05b26410ab7966b5445c930', class: "dots-loader" }, h("div", { key: 'a2937b6db7c5e79d97e18149107e5eb5bb04a4bd', class: "dot" }), h("div", { key: '083f41f23dc7992e4dc601de5e118a2658a2e81a', class: "dot" }), h("div", { key: '5a5384b83cd6290e36e1ea7a27e084c82ae4316f', class: "dot" })));
    }
    static get style() { return oramaDotsLoaderCss; }
}, [2, "orama-dots-loader"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["orama-dots-loader"];
    components.forEach(tagName => { switch (tagName) {
        case "orama-dots-loader":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DotsLoader);
            }
            break;
    } });
}

export { DotsLoader as D, defineCustomElement as d };
//# sourceMappingURL=p-D_9XQiZ7.js.map

//# sourceMappingURL=p-D_9XQiZ7.js.map