import { type EventEmitter } from '../../../stencil-public-runtime';
import type { ChatMarkdownLinkHref, ChatMarkdownLinkTarget, ChatMarkdownLinkTitle, OnAnswerGeneratedCallbackProps, TChatInteraction } from "../../../types/index";
export declare class OramaChatMessagesContainer {
    interactions: TChatInteraction[];
    chatMarkdownLinkTitle?: ChatMarkdownLinkTitle;
    chatMarkdownLinkHref?: ChatMarkdownLinkHref;
    chatMarkdownLinkTarget?: ChatMarkdownLinkTarget;
    answerGenerated: EventEmitter<OnAnswerGeneratedCallbackProps>;
    el: HTMLElement;
    latestInteractionMinHeight: number;
    private chatStore;
    onSuggestionClick: (suggestion: string) => void;
    resizeObserver: ResizeObserver;
    componentDidLoad(): void;
    render(): any;
}
