import type { ColorScheme } from "../../../types/index";
import '@phosphor-icons/webcomponents/dist/icons/PhArrowBendDownLeft.mjs';
import '@phosphor-icons/webcomponents/dist/icons/PhArrowUp.mjs';
import '@phosphor-icons/webcomponents/dist/icons/PhArrowDown.mjs';
export declare class OramaFooter {
    el: HTMLElement;
    class?: string;
    colorScheme?: Omit<ColorScheme, 'system'>;
    /** Whether to show keyboard shortcuts in the footer */
    showKeyboardShortcuts?: boolean;
    private poweredByDestinationUrl;
    private linkTarget;
    /** Keyboard shortcuts to display */
    private keyboardShortcuts;
    componentWillLoad(): void;
    private renderIcon;
    render(): any;
}
