import type { OramaClient } from '@oramacloud/client';
import type { CollectionManager } from '@orama/core';
import type { AnyOrama } from '@orama/orama';
import type { OnSearchCompletedCallbackProps } from "../types/index";
import type { SearchStoreType } from "../ParentComponentStore/SearchStore";
export declare class SearchService {
    private abortController;
    private client;
    private searchStore;
    constructor(oramaClient: OramaClient | AnyOrama, oramaCoreClient: CollectionManager, searchStore: SearchStoreType);
    search: (term: string, selectedFacet?: string, callbacks?: {
        onSearchCompletedCallback?: (onSearchCompletedCallbackProps: OnSearchCompletedCallbackProps) => unknown;
        onSearchErrorCallback?: (error: Error) => unknown;
    }) => Promise<void>;
    abortSearch(): void;
    retry: () => never;
    private getResultMapObjectByForTheHit;
    private parserResults;
    private hitToSearchResultParser;
    private parseFacets;
}
